<app-header></app-header>
<div class="container-fluid m-0 p-2 mt-4">
    <div class="row m-0 mt-4">
        <div class="col-4 offset-4 bg-white p-4 shadow-sm mb-3 mt-4">
            <form [formGroup]="loginForm">
            <div class="row">
                <div class="col-12"><h3 class="login">Login</h3></div>
                <span class="text-danger ml-3">{{loginError}}</span>
            </div>
            <div class="row">
                <div class="col-12">
                    {{ "MENTOR.THANK_YOU" | translate }}
                </div>
            </div>
            <div class="row mt-2">
                <div class="col-6  mt-2">
                    <span class="tag-it-component">E-mail</span>
                </div>
                <div class="col-6  mt-2 text-right required">
                    <span *ngIf="loginForm.controls['login'].touched && loginForm.controls['login'].hasError('required')">
                        * Required 
                    </span>
                </div>
                <div class="col-12 mt-2">
                    <input type="text" class="form-control" placeholder="Enter e-mail" formControlName="login"/>
                </div>
            </div>
            <div class="row mt-2">
                <div class="col-6  mt-2">
                    <span class="tag-it-component">Password</span>
                </div>
                <div class="col-6  mt-2 text-right required">
                    <span *ngIf="loginForm.controls['password'].touched && loginForm.controls['password'].hasError('required')">
                        * Required 
                    </span>
                </div>
                <div class="col-12 mt-2">
                    <input type="password" class="form-control" formControlName="password" placeholder="Enter password"/>
                </div>
            </div>
            <div class="row mt-2">
                <div class="col-6  mt-2">
                    <a class="forgot-password"href="#">forgot password?</a>
                </div>
                <div class="col-6  mt-2 text-right">
                    <button type="button" class="login-button" 
                        [ngClass]="{'bg-gray':loginForm.invalid, 'bg-green':loginForm.valid}"  
                        [disabled]="loginForm.invalid"
                        (click)="login()">Login</button>
                </div>
            </div>
            </form>
        </div>
    </div>
</div>


